Package com.avaya.clientservices.contact

## Enum ContactListChangeType

- java.lang.Object
- - java.lang.Enum<ContactListChangeType>
  - - com.avaya.clientservices.contact.ContactListChangeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContactListChangeType>`

      public enum ContactListChangeType
      extends java.lang.Enum<ContactListChangeType>

  Type of change in contact list

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADDED` |
    `DELETED` |
    `UPDATED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContactListChangeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContactListChangeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDED

          public static final ContactListChangeType ADDED

    - #### DELETED

          public static final ContactListChangeType DELETED

    - #### UPDATED

          public static final ContactListChangeType UPDATED

  - ### Method Detail

    - #### values

          public static ContactListChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactListChangeType c : ContactListChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactListChangeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null